commit:     2adf8c0b8122a1253520b9a7eb97372886c70600
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 19 16:10:15 2020 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Sun Apr 19 20:33:01 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2adf8c0b

dev-python/pyspf: new version with python-3.7 and python-3.8 support.

This is needed to add newer pythons to mail-filter/pypolicyd-spf.

Bug: https://bugs.gentoo.org/718324
Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>

 dev-python/pyspf/Manifest            |  1 +
 dev-python/pyspf/pyspf-2.0.14.ebuild | 35 +++++++++++++++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/dev-python/pyspf/Manifest b/dev-python/pyspf/Manifest
index 89adcb765dd..210e095bd96 100644
--- a/dev-python/pyspf/Manifest
+++ b/dev-python/pyspf/Manifest
@@ -1 +1,2 @@
 DIST pyspf-2.0.12t.tar.gz 67189 BLAKE2B 
40ddecf6e9717da9e496c5852866259f28af11c5e9ef581ef1188b07896bce7abc3ba901063bfea2ec9f89d70e17275b0e2619f23f9dc334628ebb0af084b79c
 SHA512 
1ad23b5dea4aa8edd03b3fd9fc675685bcb0e216474534563c55988df040abd4e2bbc8488bba80d26466877e8b2ec88cbadc2f67eb8c4bf6f26f975d8af81d8d
+DIST pyspf-2.0.14.tar.gz 69446 BLAKE2B 
95a3bf89ab85aad84dcbbe81ada7f19d23cc689893df1d1317c0e06eb1f6b6d21b1e805d68e7c0c84161d711b9c6067f115d78c8786ce384036f7d0c425269b9
 SHA512 
ca801a899a80c18cd2c6bb8c125817c29898189805040cce8d29ace7a5aa34b43b9d10545150a1f39abd7bc49cd8da4fe753a04ac9b911e7bb9d77473753eeee

diff --git a/dev-python/pyspf/pyspf-2.0.14.ebuild 
b/dev-python/pyspf/pyspf-2.0.14.ebuild
new file mode 100644
index 00000000000..0a05ece1b7d
--- /dev/null
+++ b/dev-python/pyspf/pyspf-2.0.14.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_6 python3_7 python3_8 )
+PYTHON_REQ_USE="ipv6?"
+
+DISTUTILS_USE_SETUPTOOLS=no
+inherit distutils-r1
+
+DESCRIPTION="Python implementation of the Sender Policy Framework (SPF)"
+HOMEPAGE="https://pypi.org/project/pyspf/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="ipv6 test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/authres[${PYTHON_USEDEP}]
+       || ( dev-python/pydns:3[${PYTHON_USEDEP}]
+                dev-python/dnspython[${PYTHON_USEDEP}] )"
+
+DEPEND="test? ( ${RDEPEND}
+       dev-python/pyyaml[${PYTHON_USEDEP}] )"
+
+REQUIRED_USE="test? ( ipv6 )"
+
+python_test() {
+       pushd test &> /dev/null
+       "${PYTHON}" testspf.py || die
+       popd &> /dev/null
+}

Reply via email to